Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkHelpers

Exposes extensions simplifying the integration between OpenIddict and Entity Framework 6.x.

##### Inheritance

System.Object
OpenIddictEntityFrameworkHelpers

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: System.Data.Entity

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictEntityFrameworkHelpers

### Methods

#### UseOpenIddict(DbModelBuilder)

Registers the OpenIddict entity sets in the Entity Framework 6.x context using the default OpenIddict models and the default key type (string).

##### Declaration

    public static DbModelBuilder UseOpenIddict(this DbModelBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
DbModelBuilder | builder | The builder used to configure the Entity Framework context.

##### Returns

Type | Description
--- | ---
DbModelBuilder | The Entity Framework context builder.

#### UseOpenIddict<TApplication, TAuthorization, TScope, TToken, TKey>(DbModelBuilder)

Registers the OpenIddict entity sets in the Entity Framework 6.x context using the specified entities and the specified key type.

##### Declaration

    public static DbModelBuilder UseOpenIddict<TApplication, TAuthorization, TScope, TToken, TKey>(this DbModelBuilder builder)
        where TApplication : OpenIddictEntityFrameworkApplication<TKey, TAuthorization, TToken> where TAuthorization : OpenIddictEntityFrameworkAuthorization<TKey, TApplication, TToken> where TScope : OpenIddictEntityFrameworkScope<TKey> where TToken : OpenIddictEntityFrameworkToken<TKey, TApplication, TAuthorization> where TKey : IEquatable<TKey>

##### Parameters

Type | Name | Description
--- | --- | ---
DbModelBuilder | builder | The builder used to configure the Entity Framework context.

##### Returns

Type | Description
--- | ---
DbModelBuilder | The Entity Framework context builder.

##### Type Parameters

Name | Description
--- | ---
TApplication |
TAuthorization |
TScope |
TToken |
TKey |

##### Remarks

Note: when using custom entities, the new entities MUST be registered by calling .